version: "2"

services:

  ui:
    build: ./ui
    depends_on:
      - api
      - activemq
    env_file:
      - ./ui/ui.env
    ports:
      - "80:80"

  api:
    build: ./api
    depends_on:
      - activemq
    env_file:
      - ./api/api.env
    ports:
      - "8080:8080"

  activemq:
    build: ./activemq
    env_file:
      - ./activemq/activemq.env
    ports:
      - "8161:8161"
      - "61613:61613"
      - "61616:61616"